Bug 1327088 - [gnome-abrt] release information of packages is displayed incorrectly
Summary: [gnome-abrt] release information of packages is displayed incorrectly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 23
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1326430
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-14 09:21 UTC by Rafal Luzynski
Modified: 2016-12-01 00:50 UTC (History)
7 users (show)

Fixed In Version: gnome-abrt-1.2.2-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of: 1326430
Environment:
Last Closed: 2016-04-20 19:20:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Rafal Luzynski 2016-04-14 09:21:03 UTC
+++ This bug was initially created as a clone of Bug #1326430 +++

Description of problem:
When using gnome-abrt for reporting issues, the release information of the affected package is displayed incorrectly: while the internal Fedora release number of a package is separated from the upstream version by a leading hyphen, gnome-abrt appends it after a leading period as illustrated in the attached sample screenshot.

Version-Release number of selected component (if applicable):
gnome-abrt-1.2.3-2.fc24

How reproducible:
Always

Steps to Reproduce:
1. Select error event in the gnome-abrt main window.

Actual results:
Displayed package version information differs from the Fedora package version.

Expected results:
Displayed package version information agrees with the Fedora package version.

Additional info:
None

--- Additional comment from Jakub Filak on 2016-04-13 09:35:20 EDT ---

Thank you for the report. Upstream commit https://github.com/abrt/gnome-abrt/commit/eaf52d4e354920798273c8879d4c1178db6fae2a fixes this issue.

--- Additional comment from Fedora Update System on 2016-04-13 09:55:51 EDT ---

gnome-abrt-1.2.3-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-92b319031c

--- Additional comment from Fedora Update System on 2016-04-13 17:22:51 EDT ---

gnome-abrt-1.2.3-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-92b319031c

Comment 1 Fedora Update System 2016-04-14 10:35:41 UTC
gnome-abrt-1.2.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-687ebbbd66

Comment 2 Fedora Update System 2016-04-16 19:26:10 UTC
gnome-abrt-1.2.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-687ebbbd66

Comment 3 Fedora Update System 2016-04-20 19:20:30 UTC
gnome-abrt-1.2.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.